# Class ContinuousUniformGenerator

java.lang.Object
org.uncommons.maths.random.ContinuousUniformGenerator

All Implemented Interfaces:
  `NumberGenerator<Double>`

public class ContinuousUniformGenerator extends Object implements NumberGenerator<Double>
Continuous, uniformly distributed random sequence. Generates values in the range mininum (inclusive) ... maximum (exclusive).

## Constructor Summary

Constructors
Constructor
Description
`ContinuousUniformGenerator(double minimumValue, double maximumValue, Random rng)`

## Method Summary

Modifier and Type
Method
Description
`Double`
`nextValue()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContinuousUniformGenerator

public ContinuousUniformGenerator(double minimumValue, double maximumValue, Random rng)

## Method Details

### nextValue

public Double nextValue()

Specified by:
  `nextValue` in interface `NumberGenerator<Double>`
Returns:
  The next value from the generator.